osl::record::KisenPlusFile Class Reference

「.kpf」という拡張子を持つ棋泉プラス形式ファイル. More...

`#include <kisen.h>`

## Public Member Functions

| KisenPlusFile (const std::string &fileName)
size_t | size () const
NumEffectState | initialState () const
std::vector< Move > | moves (size_t index)
void | load (size_t index, std::vector< Move > &, std::vector< int > &)

## Static Public Attributes

static const size_t | maxMoves =256

## Private Attributes

NumEffectState | initial_state
std::ifstream | ifs
size_t | number_of_games

## Detailed Description

「.kpf」という拡張子を持つ棋泉プラス形式ファイル.

手や消費時間の情報が入っている

Definition at line 101 of file kisen.h.

## Constructor & Destructor Documentation

## KisenPlusFile()

osl::record::KisenPlusFile::KisenPlusFile | ( | const std::string & | fileName | ) |

explicit

Definition at line 203 of file kisen.cc.

References ifs, and number_of_games.

## Member Function Documentation

## initialState()

NumEffectState osl::record::KisenPlusFile::initialState | ( |  | ) | const

inline

Definition at line 110 of file kisen.h.

References initial_state.

## load()

void osl::record::KisenPlusFile::load | ( | size_t | index,
|  | std::vector< Move > & | moves,
|  | std::vector< int > & | times )

Definition at line 221 of file kisen.cc.

References ifs, osl::NumEffectState::isConsistent(), osl::NumEffectState::makeMove(), moves(), osl::PieceStand::order, osl::SimpleState::pieceAt(), osl::promote(), osl::Piece::ptype(), size(), and osl::SimpleState::turn().

Referenced by moves().

## moves()

std::vector< osl::Move > osl::record::KisenPlusFile::moves | ( | size_t | index | ) |

Definition at line 213 of file kisen.cc.

References load(), and moves().

Referenced by load(), and moves().

## size()

size_t osl::record::KisenPlusFile::size | ( |  | ) | const

inline

Definition at line 109 of file kisen.h.

References number_of_games.

Referenced by load().

## Member Data Documentation

## ifs

std::ifstream osl::record::KisenPlusFile::ifs

private

Definition at line 104 of file kisen.h.

Referenced by KisenPlusFile(), and load().

## initial_state

NumEffectState osl::record::KisenPlusFile::initial_state

private

Definition at line 103 of file kisen.h.

Referenced by initialState().

## maxMoves

const size_t osl::record::KisenPlusFile::maxMoves =256

static

Definition at line 107 of file kisen.h.

## number_of_games

size_t osl::record::KisenPlusFile::number_of_games

private

Definition at line 105 of file kisen.h.

Referenced by KisenPlusFile(), and size().

The documentation for this class was generated from the following files:

- kisen.h
- kisen.cc